mscorlib 2.0.0.0 4.0.0.0 System.Security.AccessControl.AuditRule To be added.

Represents an audit rule for a cryptographic key. An audit rule represents a combination of a user's identity and an access mask. An audit rule also contains information about the how the rule is inherited by child objects, how that inheritance is propagated, and for what conditions it is audited.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class using the specified values.

  The identity to which the audit rule applies. This parameter must be an object that can be cast as a .
  The cryptographic key operation for which this audit rule generates audits.
  The conditions that generate audits.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class using the specified values.

  The identity to which the audit rule applies.
  The cryptographic key operation for which this audit rule generates audits.
  The conditions that generate audits.
- Property
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.CryptoKeyRights To be added. To be added.

  Gets the cryptographic key operation for which this audit rule generates audits.